### Method

# Handy Flap set_swipe_to_open

since: 1.2

#### Declaration [src]

    void
    hdy_flap_set_swipe_to_open (
      HdyFlap* self,
      gboolean swipe_to_open
    )

#### Description [src]

Sets whether `self` can be opened with a swipe gesture.

The area that can be swiped depends on the `HdyFlap:transition-type` value.

Available since: 1.2

Sets property | `Handy.Flap:swipe-to-open`

#### Parameters

`swipe_to_open`

  Type: `gboolean`

  Whether `self` can be opened with a swipe gesture.